Advertisement:

Author Topic: Probleme mit dem Paket-Manager...  (Read 193446 times)

Offline sgvg

  • Newbie
  • *
  • Posts: 7
    • http://www.cyberserv.de/nboard/index.php
Re: Probleme mit dem Paket-Manager...
« Reply #20 on: April 28, 2007, 09:07:15 AM »
Hi, ja dieses Problem das gar nix ging hatte ich auch schon, aber irgendwie gings dann doch weiter. Aber diese Meldung mit dem Parse-Error bekomme ich nicht weg. Bei mir ist safe-mode=on

Theoretisch könnte ich das Update ausführen, aber ich hab da meine bedenken, nicht das dann danach nix mehr geht und ich alles von vorn machen muss.

Offline Yogi1977

  • Newbie
  • *
  • Posts: 2
Re: Probleme mit dem Paket-Manager...
« Reply #21 on: May 14, 2007, 04:30:32 AM »
Hallo

Auch ich habe eine Problem mit dem Packet Manager.

Ich habe mir ein paar Modifikationen für das Forum runtergeladen, die mir erlauben zusätzliche Infos im Profil ein zu geben.
Wenn ich diese Mods installiere werden sie automatisch für das default Layout installiert. Im Standart Layout sind die Mods dann auch verfügbar und funktionieren ohne fehler.
Jetzt habe ich aber ein anders Layout installiert und möchte die Mod dort auch nutzen.
Problem ist das der Packetmanager die Mod NUR für das Standart Layout (default) installiert und nicht in das, von mir verwendete Layout.
Leider habe ich niegens wo was gefunden um den installation Pfad auf das, von mir ausgewählte Layout, zu ändern.

Gib es eine Möglichkeit wie man das problem lösen kann?

Offline Jorin

  • SMF Hero
  • ******
  • Posts: 2,021
  • Gender: Male
    • ElkArte-Hilfe.de
Re: Probleme mit dem Paket-Manager...
« Reply #22 on: May 14, 2007, 04:33:16 AM »
Noch musst du bei anderen Themes die notwendigen Änderungen von Hand einbauen. Mit der 2.0 soll es dann automatisch gehen, was ich aber erstmal bezweifle, da viele Themes doch erheblich anderen Code aufweisen als das Default. Da müsste der Paketmanager schon halbwegs intelligent werden und interpretieren können...

Aber zurück zum Thema. Du kannst den Paket-Parser nutzen, um die die theme-relevanten Änderungen der Modifikation anzeigen zu lassen und musst die entsprechenden Dateien deines Themes dann bearbeiten.

Offline Lemming

  • Jr. Member
  • **
  • Posts: 372
  • Gender: Male
Re: Probleme mit dem Paket-Manager...
« Reply #23 on: May 14, 2007, 09:54:22 AM »
Noch musst du bei anderen Themes die notwendigen Änderungen von Hand einbauen. Mit der 2.0 soll es dann automatisch gehen, was ich aber erstmal bezweifle, da viele Themes doch erheblich anderen Code aufweisen als das Default. Da müsste der Paketmanager schon halbwegs intelligent werden und interpretieren können...

Mh, so ganz vorstellen kann ich mir das gerade auch nicht. Ich habe allerdings auch noch keine Erfahrungen, wie das bei phpbb usw. ist.
Vielleicht müssen sich Themeauthoren ab 2.0 an bestimmte Aufbauregeln halten (wie soll es auch sonst funktionieren). Das ganze Template-System kann ja wohl schlecht auf den Kopf gestellt werden :)

Offline Yogi1977

  • Newbie
  • *
  • Posts: 2
Re: Probleme mit dem Paket-Manager...
« Reply #24 on: May 15, 2007, 04:55:00 AM »
Noch musst du bei anderen Themes die notwendigen Änderungen von Hand einbauen. Mit der 2.0 soll es dann automatisch gehen, was ich aber erstmal bezweifle, da viele Themes doch erheblich anderen Code aufweisen als das Default. Da müsste der Paketmanager schon halbwegs intelligent werden und interpretieren können...

Aber zurück zum Thema. Du kannst den hxxp:parser.smfportal.de [nonactive] nutzen, um die die theme-relevanten Änderungen der Modifikation anzeigen zu lassen und musst die entsprechenden Dateien deines Themes dann bearbeiten.

Danke für den Hinweis.
Per hand und mit hilfe des Tools konnt ich die änderungen im mein Layout übernehmen.

Offline HuhuMan

  • Newbie
  • *
  • Posts: 2
Re: Probleme mit dem Paket-Manager...
« Reply #25 on: June 23, 2007, 08:18:47 PM »
ich kann auch keine Mods installieren. SafeMode ist aus..
Der Pfad zum Forum ist: /var/www/web17/html/forum

Wenn ich das beim Installieren angebe , erscheint immer ein Fehler und der Link wird korrigiert in "/html/web17/" o.ä. (kann es gerade nicht probieren, wie genau die Fehlermeldung hießt..).
Es geht auch kein "/forum", sondern nur bei "/" zeigt er keine Fehler an und die Installation geht auch weiter:

hxxp:img517.imageshack.us/my.php?image=inst2pf5.jpg [nonactive] hxxp:img151.imageshack.us/my.php?image=inst3nc9.jpg [nonactive]

So.. nun ist das Paket installiert.. Aber es hat sich überhaupt nichts getan. Die Dateien sind alle unverändert (Rechte sind auf 777). Nur SQL Einträge wurden angelegt.

Deinstallieren funktioniert auch nicht!

hxxp:img517.imageshack.us/my.php?image=fehlerap2.jpg [nonactive]
« Last Edit: June 23, 2007, 08:20:59 PM by HuhuMan »

Offline Mave

  • Jr. Member
  • **
  • Posts: 332
Re: Probleme mit dem Paket-Manager...
« Reply #26 on: July 02, 2007, 03:13:50 AM »
Hi Huhuman, willkommen im Club wenn ich web17 lese ahne ich schon du bist  veilleicht beim selben hoster.

Offline dieter4

  • SMF Hero
  • ******
  • Posts: 2,855
Re: Probleme mit dem Paket-Manager...
« Reply #27 on: July 02, 2007, 04:36:53 AM »
@Mave: Dieses webXX weist nur auf Confixx hin ;)

@HuhuMan: Versuche mal den Pfad /html/forum

Offline Mave

  • Jr. Member
  • **
  • Posts: 332
Re: Probleme mit dem Paket-Manager...
« Reply #28 on: July 02, 2007, 02:12:12 PM »
danke wusst ich nicht. *schäm*

für meinen teil ich machs jetzt lokal und lad die dateien hoch.

Offline lexi_be

  • Semi-Newbie
  • *
  • Posts: 42
Re: Probleme mit dem Paket-Manager...
« Reply #29 on: July 05, 2007, 03:52:32 AM »
ich habe auch ein Problem mit dem Paketmanager. Ich möchte ein Mod wieder deinstallieren und bekomme eine Fehlermeldung: 8: Undefined index: destination
Datei: /home/unsere-domain_de/www/Sources/Subs-Package.php
Zeile: 971

Wie werde ich das Mod wieder los? Scheinbar macht uns das ziemliche Problemchen.

Habt ihr einen Tip?

Danke lexi

Offline HuhuMan

  • Newbie
  • *
  • Posts: 2
Re: Probleme mit dem Paket-Manager...
« Reply #30 on: July 07, 2007, 05:32:02 PM »
@Neakro
DANKE DANKE ES GEEEEEHT ! :)

@Mave
ja das ist Confixx :) das Verwaltungsscript richtet die User immer mit WebX ein :)

Offline Manu.G

  • Full Member
  • ***
  • Posts: 448
  • Gender: Female
  • Angel by Day, Devil by Night
    • http://facebook.com/manuela.guth on Facebook
    • Fan Community
Re: Probleme mit dem Paket-Manager...
« Reply #31 on: July 10, 2007, 07:09:08 AM »
jedes mal wenn ich bestimmte mods installen will(sind laut angaben mit meiner board version 1.1.2 kompatibel) kommt erst die rote fehlermeldung und wenn ich dann auf installieren klicke kommt das hier

Fatal error: packageinstall(): Failed opening required '/home/www/*****/html/board/Packages/temp/./reasonforeditinginstall.php' (include_path='.') in /home/www/*****/html/board/Sources/Packages.php on line 552

was is da falsch!?!?
bitte um hilfe

mfg ilovevalla

Genau so eine Fehlermeldung bekomme ich auch wenn ich versuche in dem einen Forum von uns ein Mod zu installieren. Ich hatte irgendwo schon einmal auf diese Fehlermeldung hingewiesen. Da wurde mir gesagt, dass dieser Eintrag
Quote
/./
zuviel ist. Keine Ahnung wie das da hinkommt.
Wir haben noch ein 2. Forum laufen, im gleichen Webpack, gleichen Server und Hoster und dort können wir ohne Probleme Mod's installieren.
Irgendwo hat sich bei dem einen Forum im Paket-Manager ein Fehler eingeschlichen aber ich hab absolut keine Ahnung wo.
Weis jemand Abhilfe?
Achja noch was, SafeMode ist ausgeschaltet.
Version SMF 2.0.8
SimplePortal 2.3.5

Offline dieter4

  • SMF Hero
  • ******
  • Posts: 2,855
Re: Probleme mit dem Paket-Manager...
« Reply #32 on: July 11, 2007, 09:13:13 AM »
repair_settings.php schon ausprobiert? Evtl. stimmt eine Pfadangabe nicht.

Offline Manu.G

  • Full Member
  • ***
  • Posts: 448
  • Gender: Female
  • Angel by Day, Devil by Night
    • http://facebook.com/manuela.guth on Facebook
    • Fan Community
Re: Probleme mit dem Paket-Manager...
« Reply #33 on: July 11, 2007, 05:02:44 PM »
repair_settings.php schon ausprobiert? Evtl. stimmt eine Pfadangabe nicht.

Ausprobiert, die Pfade stimmen, bis auf das Cookie.
Cookie Name: SMFCookie509
Recommended value: "SMFCookie11".

Ist das auschlaggebend?
Version SMF 2.0.8
SimplePortal 2.3.5

Offline dieter4

  • SMF Hero
  • ******
  • Posts: 2,855
Re: Probleme mit dem Paket-Manager...
« Reply #34 on: July 12, 2007, 08:26:48 AM »
Der Cookiename ist egal. Den festlegen zu können ist nur dazu da, damit der SMF-Cookie nicht mit anderen Cookies, die auf der gleichen Domain laufen, kollidiert.

Offline Manu.G

  • Full Member
  • ***
  • Posts: 448
  • Gender: Female
  • Angel by Day, Devil by Night
    • http://facebook.com/manuela.guth on Facebook
    • Fan Community
Re: Probleme mit dem Paket-Manager...
« Reply #35 on: July 13, 2007, 04:52:05 AM »
Der Cookiename ist egal. Den festlegen zu können ist nur dazu da, damit der SMF-Cookie nicht mit anderen Cookies, die auf der gleichen Domain laufen, kollidiert.

Ok wenn das nicht ausschlaggebend ist, wo kann ich da noch nachsehen?
Version SMF 2.0.8
SimplePortal 2.3.5

Offline Rapster

  • Semi-Newbie
  • *
  • Posts: 12
  • Gender: Male
Re: Probleme mit dem Paket-Manager...
« Reply #36 on: August 03, 2007, 06:42:08 AM »
Hallo, ich habe auch ein Problem mit dem Paket Manager.

Und zwar, wenn ich etwas installieren möchte, steht dort:


Quote
Ein Fehler ist aufgetreten!

Es sind keine Aktionen definiert!


Kann mir da jemand helfen und sagen was ich falsch gemacht habe?

Danke schon mal im Vorraus  ;)
« Last Edit: August 03, 2007, 06:51:09 AM by Rapster »

Offline Rapster

  • Semi-Newbie
  • *
  • Posts: 12
  • Gender: Male
Re: Probleme mit dem Paket-Manager...
« Reply #37 on: August 06, 2007, 09:41:12 AM »
Hallo,

weiß schon jemand eine Antwort?  :)

Die Suchfunktion hat nämlich nichts ergeben.

Offline dieter4

  • SMF Hero
  • ******
  • Posts: 2,855
Re: Probleme mit dem Paket-Manager...
« Reply #38 on: August 06, 2007, 11:51:31 AM »
Ist das Paket wirklich für deine Version?

Offline Rapster

  • Semi-Newbie
  • *
  • Posts: 12
  • Gender: Male
Re: Probleme mit dem Paket-Manager...
« Reply #39 on: August 06, 2007, 12:15:24 PM »
Ich habe die Version 1.1.3 und versuche

1.     YouTube BBCode by Yakuza   Version: 0.2

und

2.     Subject Statistics In Subject  Version: 2.2     

zu installieren.

In einem anderen 1.1.3 Board, welches ich gesehen habe, funktionieren diese Mods.


Außerdem klappt das Installieren bei keinem Mod, egal wie alt er ist :(